Description

There is following compiler error on FreeBSD after 14570 revision:

<..>/uppsrc/Core/Cpu.cpp:182:20: error: variable has incomplete type 'struct vmtotal'

    struct vmtotal vmt;

                   ^

<..>/uppsrc/Core/Cpu.cpp:182:12: note: forward declaration of 'vmtotal'

    struct vmtotal vmt;

           ^

1 error generated.

I found, that "struct vmtotal" defined in sys/vmmeter.h file.

Patch attached.

History

#1 - 06/13/2020 10:22 AM - Sender Ghost

- File deleted (uppsrc_Core_r14581.diff)

#2 - 06/13/2020 10:23 AM - Sender Ghost

- File uppsrc_Core_r14583.diff added

- Assignee set to Miroslav Fidler

Updated after 14583 revision changes.

#3 - 06/15/2020 01:59 PM - Miroslav Fidler

Thanks, applied. Could you please also verify that GetSystemMemoryStatus works in FreeBSD? "available" is not really precisly defined, but it should

correspond to memory load somehow...

Mirek

#4 - 06/15/2020 01:59 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Sender Ghost

#5 - 06/15/2020 07:56 PM - Sender Ghost

- Assignee changed from Sender Ghost to Miroslav Fidler
https://github.com/ultimatepp/ultimatepp/commit/f6f7919742faa47ef3697744f42152ac49c3d244
https://github.com/freebsd/freebsd/blob/094736f08fd51603780e5ea50393882f72b54b65/sys/sys/vmmeter.h#L44
https://github.com/ultimatepp/ultimatepp/commit/5ad704e7a05a26a1148226df11a5cc4be56dbf41


Thanks for commit.

Miroslav Fidler wrote:

Could you please also verify that GetSystemMemoryStatus works in FreeBSD? "available" is not really precisly defined, but it should correspond to

memory load somehow...

The upptst/MemoryStatus returned quite large values, compared to total/available memory. Posted some results on U++ slack.

#6 - 06/15/2020 09:16 PM - Sender Ghost

- Status changed from Patch ready to Approved

Approved, because build issue was fixed.

#7 - 06/16/2020 01:01 PM - Miroslav Fidler

- Status changed from Approved to In Progress

Not approved, because it does not work :) Still a problem to solve.

#8 - 06/22/2020 02:05 AM - Sender Ghost

- File uppsrc_Core_r14616.diff added

Attached new patch.

Based on some answer from How to get available memory C++/g++ topic on Stack Overflow site. Overall, this was because of used types.

#9 - 06/22/2020 08:38 AM - Miroslav Fidler

- Status changed from In Progress to Approved

Thank you!

Files

uppsrc_Core_r14583.diff 272 Bytes 06/13/2020 Sender Ghost

uppsrc_Core_r14616.diff 747 Bytes 06/22/2020 Sender Ghost
https://github.com/ultimatepp/ultimatepp/tree/bdff2b92b75ce65a9b82a0808380a7a4c440c7e6/upptst/MemoryStatus
https://stackoverflow.com/a/37387386
https://stackoverflow.com/questions/2513505/how-to-get-available-memory-c-g
https://stackoverflow.com/

